python

Install Python 3.8 on LinuxMint 18

Recently some utilities stopped working on LinuxMint 18 since the default python interpreter for LinuxMint is 3.5, cannot be changed, and support for Python 3.5 was dropped in the utilities.

Thanks deadsnakes team, you saved me some compilation time =)

sudo add-apt-repository ppa:deadsnakes/ppa sudo apt-get update sudo apt-get install python3.8 python3.8-distutils python3.8-venv
Code language: Bash (bash)

The new interpreter can be found in /usr/bin/python3.8 and all I had to do was change the shebang from #!/usr/bin/python3 to #!/usr/bin/python3.8 in the utilities.

Read More »Install Python 3.8 on LinuxMint 18